from setuptools import setup, find_packages  # noqa: H301

# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools
NAME = "EnydayPy"
VERSION = "1.0.4"
PYTHON_REQUIRES = ">= 3.8"
REQUIRES = [
    "urllib3 >= 1.25.3, < 3.0.0",
    "python-dateutil >= 2.8.2",
    "pydantic >= 2",
    "typing-extensions >= 4.7.1",
]

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name=NAME,
    version=VERSION,
    description="Enyday API",
    author="Bruno Adam",
    author_email="bruno.adam@pm.me",
    url="https://github.com/bruadam/EnydayPy",
    keywords=["Enyday API", "Denmark", "Energy Management System", "EMS", "Home Assistant"],
    install_requires=REQUIRES,
    packages=find_packages(exclude=["test", "tests"]),
    include_package_data=True,
    long_description_content_type='text/markdown',
    long_description=long_description,
    package_data={
        "openapi_client": ["py.typed"],
        "": ["LICENSE"],
    },
)
